Range-v3 Range algorithms, views, and actions for the Standard Library |

Functions
heap_algorithm.hpp File Reference

## Functions
template<typename I , typename S , typename C = less, typename P = identity>
bool | ranges::is_heap (I first, S last, C pred=C{}, P proj=P{})
| function template `is_heap` More...
template<typename Rng , typename C = less, typename P = identity>
bool | ranges::is_heap (Rng &&rng, C pred=C{}, P proj=P{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
template<typename I , typename S , typename C = less, typename P = identity>
I | ranges::is_heap_until (I first, S last, C pred=C{}, P proj=P{})
| function template `is_heap_until` More...
template<typename Rng , typename C = less, typename P = identity>
borrowed_iterator_t< Rng > | ranges::is_heap_until (Rng &&rng, C pred=C{}, P proj=P{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
template<typename I , typename S , typename C = less, typename P = identity>
I | ranges::make_heap (I first, S last, C pred=C{}, P proj=P{})
| function template `make_heap` More...
template<typename Rng , typename C = less, typename P = identity>
borrowed_iterator_t< Rng > | ranges::make_heap (Rng &&rng, C pred=C{}, P proj=P{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
template<typename I , typename S , typename C = less, typename P = identity>
I | ranges::pop_heap (I first, S last, C pred=C{}, P proj=P{})
| function template `pop_heap` More...
template<typename Rng , typename C = less, typename P = identity>
borrowed_iterator_t< Rng > | ranges::pop_heap (Rng &&rng, C pred=C{}, P proj=P{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
template<typename I , typename S , typename C = less, typename P = identity>
I | ranges::push_heap (I first, S last, C pred=C{}, P proj=P{})
| function template `push_heap` More...
template<typename Rng , typename C = less, typename P = identity>
borrowed_iterator_t< Rng > | ranges::push_heap (Rng &&rng, C pred=C{}, P proj=P{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
template<typename I , typename S , typename C = less, typename P = identity>
I | ranges::sort_heap (I first, S last, C pred=C{}, P proj=P{})
template<typename Rng , typename C = less, typename P = identity>
borrowed_iterator_t< Rng > | ranges::sort_heap (Rng &&rng, C pred=C{}, P proj=P{})